@font-face {
  font-family: "JetBrains Mono";
  src: url("JetBrainsMono-Light.woff2");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "JetBrains Mono";
  src: url("JetBrainsMono-LightItalic.woff2");
  font-weight: normal;
  font-style: italic;
}

@font-face {
  font-family: "JetBrains Mono";
  src: url("JetBrainsMono-SemiBold.woff2");
  font-weight: bold;
  font-style: normal;
}

@font-face {
  font-family: "JetBrains Mono";
  src: url("JetBrainsMono-SemiBoldItalic.woff2");
  font-weight: bold;
  font-style: italic;
}

:root {
  --fgcolor: #ffffff;
  --bgcolor: #202020;
  --accent: #ff0090;
}

body {
  color: var(--fgcolor);
  background-color: var(--bgcolor);

  margin: 1em;
  font-family: JetBrains Mono;
  font-size: x-large;
  line-height: 1.75em;
}

body > div {
  max-width: 30em;
  margin: 5em auto;
  padding: 0 0 0 12em;
  position: relative;
}

body > div > img {
  position: absolute;
  left: 0;
  border-radius: 0.5em;
  width: 10em;
}

p:first-of-type {
  font-weight: bold;
}

p {
  margin-block-end: 1.75em;
}

p:last-of-type::after {
  content: '█';
  animation: blinker 1s step-start infinite;
}

@keyframes blinker {
  50% {
    opacity: 0;
  }
}

strong {
  color: var(--accent)
}

a {
  color: inherit;
  /*text-decoration-color: color-mix(in srgb, var(--fgcolor) 25%, var(--bgcolor));*/
  text-decoration-color: var(--accent);
  transition: background-color 0.5s;
}

a:hover {
  background-color: var(--accent);
}
